shift {raster} | R Documentation

## Shift

### Description

Shift the location of a Raster* of vector type Spatial* object in the x and/or y direction

### Usage

    ## S4 method for signature 'Raster'
    shift(object, x=0, y=0, filename='', ...)

    ## S4 method for signature 'SpatialPolygons'
    shift(object, x=0, y=0,  ...)

    ## S4 method for signature 'SpatialLines'
    shift(object, x=0, y=0,  ...)

    ## S4 method for signature 'SpatialPoints'
    shift(object, x=0, y=0,  ...)

### Arguments

`object` | Raster* or Spatial* object
`x` | numeric. The shift in horizontal direction
`y` | numeric. The shift in vertical direction
`filename` | character file name (optional)
`...` | if `object` is a Raster* object: additional arguments as for `writeRaster`

### Value

Same object type as `x`

### See Also

`flip`, `rotate`, and the elide function in the maptools package

### Examples

    r <- raster()
    r <- shift(r, x=1, y=-1)

[Package raster version 2.5-2 Index]